{% extends '/easyAdmin/layout/linked_user_layout.html.twig' %}

{% block title %}{% trans %}Add product images{% endtrans %}{% endblock %}

{% block content %}
    {%  set urlOrigin =  app.request.requestUri %}
    <div class="overlay">
    <div class="popup">
        <div class="card  flex align-content-between">
            <div class="card-header">
                {% include 'ressources/exit_button.html.twig' %}
                <h5 class="card-title text-center">{% trans %}picture of the item{% endtrans %}</h5>
            </div>
            <div class="card-body">
                {{form_start (form)}}
                {% if not images.empty %}
                    <div class="scroller d-flex flex-row">
                        {% for image in images %}
                            {% set includeImage = image.filepath ~ '/' ~ image.imageName %}
                            <div class="content_img">
                                <img class="d-block imgScroll" src="{{ asset(includeImage) }}"  height="100">
                                <div>
                                    <a   href="{{
                                    path('app_delete_img' ,
                                        {
                                            'imgNameToDelete': image.imageName,
                                            'urlOrigin': urlOrigin,
                                            'imageType': image.getClassName,
                                            'company': image.company.companySLug
                                        })
                                    }}">
                                        <img height="30" src={{ asset("img/trash.png") }}>
                                    </a>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                {% endif %}
                <div class="text-center  col-12">
                    <div class="upload-image-strip p-1">
                        <button type="button" class="file-select-button btn-round p-1 ">
                            <img height="150" id="img_url" src={{ asset("img/plus.png") }}>
                        </button>
                        {{ form_row(form.imageFile, {'label': ' '}) }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 pb-2" >
                        <button class="register-button ">{% trans %}Upload from local{% endtrans %}</button>
                        <a class="register-button  float-right" href="{{ path( 'app_company_investment_add_product_upload_from_library',{
                            'companySlug': app.request.get('companySlug'),
                            'investmentSlug': app.request.get('investmentSlug'),
                            'productReference': app.request.get('productReference') } ) }}">
                            {% trans %}Add from library{% endtrans %}
                        </a>
                    </div>
                    <div class="col-12">
                        <button class="register-button blue-btn btn-transparent" onClick='window.history.go(-1)'  type="submit">{%trans%}Back{%endtrans%}</button>
                        <a class="blue-btn float-right text-center pt-2" href="{{ path( nextPage, {
                            'companySlug': app.request.get('companySlug'),
                            'investmentSlug': app.request.get('investmentSlug'),
                            'productReference': app.request.get('productReference') } ) }}">
                            {% trans %}Next{% endtrans %}
                        </a>
                    </div>
                </div>
                {{form_end (form)}}
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <script src="{{ asset('js/inputModifier.js') }}"></script>
{% endblock content %}